// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}


var srDest = 500;

var err;
var fProgram;

// --- LOCALIZATION NOTE: translate only these ---
var prettyName = "English (US) Language Pack";
var regName    = "locales/netscape/en-US";
var chromeName = "en-US.jar";
// --- END LOCALIZABLE RESOURCES ---

err = initInstall(prettyName, regName, "6.0.0.2000110800"); 
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("",
                   "6.0.0.2000110800",
                   "viewer",
                   fProgram,
                   "",
                   true);
    logComment("addDirectory() returned: " + err);

    // register chrome
    var cf = getFolder("Chrome");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/global/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/communicator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/messenger/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/editor/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/navigator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/en-US/aim/");

    if(err == SUCCESS)
    {
        err = performInstall(); 
        logComment("performInstall() returned: " + err);
    }
    else
    {
        cancelInstall(err);
        logComment("cancelInstall due to error: " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
